'use strict';

var _lexicon = require('./lexicon');

var _lexicon2 = _interopRequireDefault(_lexicon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_lexicon2.default.addCompounds(function (h) {
	return {
		callout: function callout(type, content, templ) {
			return this.div(h.class('callout').class(type), content, templ);
		},
		closableCallout: function closableCallout(type, content, templ) {
			return this.container(function (ctrl) {
				return h.callout(type, content, h.closeButton(h.click(ctrl.unmount))._use(templ));
			});
		},
		dialog: function dialog(type, content, templ) {
			return this.div(h.class('dialog').class(type), content, templ);
		},
		closableDialog: function closableDialog(type, content, templ) {
			return this.container(function (ctrl) {
				return h.dialog(type, content, h.closeButton(h.click(ctrl.unmount))._use(templ));
			});
		}
	};
}).addCompounds(function () {
	var coloredAPI = {};
	_lexicon2.default.colorLabels.forEach(function (color) {

		var upCaseColor = color[0].toUpperCase() + color.substring(1);

		// DIALOGS AND CALLOUTS
		coloredAPI[color + 'Dialog'] = function (content, templ) {
			return this.dialog(color, content, templ);
		};
		coloredAPI[color + 'Callout'] = function (content, templ) {
			return this.callout(color, content, templ);
		};
		coloredAPI['closable' + upCaseColor + 'Dialog'] = function (content, templ) {
			return this.closableDialog(color, content, templ);
		};
		coloredAPI['closable' + upCaseColor + 'Callout'] = function (content, templ) {
			return this.closableCallout(color, content, templ);
		};
	});
	return coloredAPI;
});