/*
* @Author: Gilles Coomans
* @Date:   2017-06-20 14:35:39
* @Last Modified by:   Gilles Coomans
* @Last Modified time: 2017-06-20 15:22:10
*/

'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _htslComponent = require('htsl-component');

var _htslComponent2 = _interopRequireDefault(_htslComponent);

var _lexicon = require('./lexicon');

var _lexicon2 = _interopRequireDefault(_lexicon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OverlayedOpenablePanel = _htslComponent2.default.extends(_htslComponent2.default, {
	hide: function hide() {
		this.setState({ opened: false });
		this.unmount();
	},
	show: function show() {
		this.setState({ opened: true });
	},
	commonentDidMount: function commonentDidMount() {
		this.show();
	},
	componentWillReceiveProps: function componentWillReceiveProps() {
		this.show();
	},
	render: function render(firstLevel) {
		var h = _lexicon2.default.initializer(firstLevel);
		return h.div(h.class('overlay-panel').class(this.props.panelClass).class('opened', this.state.opened).overlayPanelBackground(this.props.closeOnBackgroundClick, this).div(h.class('openable-panel-content').div(h.class('openable-panel-inner-content'), this.content(firstLevel)).closeButton(h.click(this.hide))));
	},
	content: function content() /* firstLevel */{
		// to be overriden
	}
});

_lexicon2.default.components.OverlayedOpenablePanel = OverlayedOpenablePanel;

exports.default = OverlayedOpenablePanel;

/**
 * @example
 *
 * const MyPanel;
 *
 *
 *
 * h.postalComponent('your-channel', OverlayedOpenablePanel, { panelClass:'...', closeOnBackgroundClick: true})
 */