/*
 * @Author: Gilles Coomans
 * @Date:   2017-06-09 01:31:03
 * @Last Modified by:   Gilles Coomans
 * @Last Modified time: 2017-06-21 11:22:43
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _htslComponent = require('htsl-component');

var _htslComponent2 = _interopRequireDefault(_htslComponent);

var _lexicon = require('./lexicon');

var _lexicon2 = _interopRequireDefault(_lexicon);

var _overlayPanel = require('./overlay-panel');

var _overlayPanel2 = _interopRequireDefault(_overlayPanel);

var _animejs = require('animejs');

var _animejs2 = _interopRequireDefault(_animejs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SidePanel = _htslComponent2.default.extends(_overlayPanel2.default, {
	hide: function hide() {
		var _this = this;

		(0, _animejs2.default)({
			targets: this.innerPannel,
			width: 0,
			duration: this.props.opt.delay || 500,
			easing: 'easeInOutQuart',
			complete: function complete() {
				_this.unmount();
			}
		});
	},
	show: function show() {
		console.log('side panel show : ', this.props.opt.width); // eslint-disable-line
		(0, _animejs2.default)({
			targets: this.innerPannel,
			width: this.props.opt.width,
			easing: 'easeInOutQuart',
			duration: this.props.opt.delay || 500,
			complete: function complete() {
				console.log('panel shown'); // eslint-disable-line
			}
		});
	},
	renderPanel: function renderPanel(firstLevel) {
		var h = _lexicon2.default.initializer(firstLevel),
		    opt = this.props.opt,
		    subcontent = this.props.content || this.content;
		return h.div(h.class('side-panel').ref('innerPannel').style('width', '0px').class('side-panel--' + opt.side).div(h.class('side-panel-content'), typeof subcontent === 'function' ? subcontent(this.state, this.props, this) : subcontent).closeButton(h.click(this.hide)));
	}
});

/**
 ******************* LEXEMS
 */
_lexicon2.default.addCompounds(function () {
	return {
		postalSidePanel: function postalSidePanel(channel, opt, content) {
			return this.postalComponent(channel, SidePanel, { opt: opt, content: content });
		},
		sidePanel: function sidePanel(opt, content) {
			return this.component(SidePanel, { opt: opt, content: content });
		}
	};
});

_lexicon2.default.components.SidePanel = SidePanel;

exports.default = SidePanel;